searchData={"items":[{"type":"module","title":"Warnex","doc":"This module is meant to assist in ordering the warnings outputted by this application.\n\nInitially, you must gather the warnings from the compilation output:\n\n```\n  rm warnings.log; mix compile --force --all-warnings > warnings.log 2>&1\n\n  OR\n\n  alias Warnex\n  Warnex.generate_warnings()\n```","ref":"Warnex.html"},{"type":"function","title":"Warnex.count/0","doc":"Shows all warning counts for all files with warnings","ref":"Warnex.html#count/0"},{"type":"function","title":"Examples - Warnex.count/0","doc":"iex(1)> Warnex.count\n    8","ref":"Warnex.html#count/0-examples"},{"type":"function","title":"Warnex.count/1","doc":"Returns the total amount of errors for a specific file","ref":"Warnex.html#count/1"},{"type":"function","title":"Example - Warnex.count/1","doc":"iex(1)> Warnex.count(\"shared_view.ex\")\n    1","ref":"Warnex.html#count/1-example"},{"type":"function","title":"Warnex.for_file/1","doc":"Returns the warnings for a specific file lookup","ref":"Warnex.html#for_file/1"},{"type":"function","title":"Examples - Warnex.for_file/1","doc":"iex(1)> Warnex.for_file(\"shared_view.ex\")\n    [\n      %{\n        message: \"missing parentheses for expression following \"else:\" keyword. Parentheses are required to solve ambiguity inside keywords.\",\n        location: %{\n          line: 11,\n          filename: \"shared_view.ex\",\n          path: \"lib/application_web/views\"\n        }\n      },\n      %{...},\n      ...\n    ]","ref":"Warnex.html#for_file/1-examples"},{"type":"function","title":"Warnex.for_warning/1","doc":"Returns all warnings where the existing warning contains the given string","ref":"Warnex.html#for_warning/1"},{"type":"function","title":"Examples - Warnex.for_warning/1","doc":"iex(1)> Warnex.for_warning(\"missing parentheses for expression\")\n    %{\n      \"shared_view.ex\" => [\n        %{\n          message: \"missing parentheses for expression following \"else:\" keyword. Parentheses are required to solve ambiguity inside keywords.\",\n          location: %{\n            line: 11,\n            filename: \"shared_view.ex\",\n            path: \"lib/application_web/views\"\n          }\n        }\n      ],\n      \"...\" => [...]\n    }","ref":"Warnex.html#for_warning/1-examples"},{"type":"function","title":"Warnex.generate_warnings/0","doc":"Runs the compilation process and generates the warnings.log file.\nReturns :ok if successful, {:error, reason} if the command fails.","ref":"Warnex.html#generate_warnings/0"},{"type":"function","title":"Examples - Warnex.generate_warnings/0","doc":"iex> Warnex.generate_warnings()\n    :ok","ref":"Warnex.html#generate_warnings/0-examples"},{"type":"function","title":"Warnex.next/1","doc":"Gives you the next n file warnings","ref":"Warnex.html#next/1"},{"type":"function","title":"Examples - Warnex.next/1","doc":"iex(1)> Warnex.next(5)\n\n    [\n      [\n        %{\n          message: \"missing parentheses for expression following \"else:\" keyword. Parentheses are required to solve ambiguity inside keywords.\",\n          location: %{\n            line: 11,\n            filename: \"shared_view.ex\",\n            path: \"lib/application_web/views\"\n          }\n        }\n      ],\n    [...],\n    ...\n    ]","ref":"Warnex.html#next/1-examples"},{"type":"function","title":"Warnex.parse_warnings/0","doc":"Parses the log output of a compilation into maps","ref":"Warnex.html#parse_warnings/0"},{"type":"function","title":"Examples - Warnex.parse_warnings/0","doc":"iex(1)> Warnex.parse_warnings()\n    [\n      %{\n        message: \"missing parentheses for expression following \"else:\" keyword. Parentheses are required to solve ambiguity inside keywords.\",\n        location: %{\n          line: 11,\n          filename: \"shared_view.ex\",\n          path: \"lib/application_web/views\"\n        }\n      },\n    %{...},\n     ...\n    ]","ref":"Warnex.html#parse_warnings/0-examples"},{"type":"function","title":"Warnex.summary/0","doc":"Describes the total warnings for all files that have warnings","ref":"Warnex.html#summary/0"},{"type":"function","title":"Examples - Warnex.summary/0","doc":"iex(1)> Warnex.summary\n    [\n      [\"shared_view.ex\", 1],\n      [\"page_controller.ex\", 1],\n      [\"items.ex\", 1],\n    ]","ref":"Warnex.html#summary/0-examples"},{"type":"extras","title":"Warnex","doc":"# Warnex\n\n[![Hex.pm](https://img.shields.io/hexpm/v/warnex.svg)](https://hex.pm/packages/warnex)\n[![Docs](https://img.shields.io/badge/hex-docs-brightgreen.svg)](https://hexdocs.pm/warnex)\n\nA Phoenix/Elixir application warning manager that helps track and manage application warnings effectively.","ref":"readme.html"},{"type":"extras","title":"Installation - Warnex","doc":"The package can be installed by adding `warnex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:warnex, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Warnex","doc":"Initially, you must gather the warnings from the compilation output:\n\n```\nRun this on your terminal:\n\nrm warnings.log; mix compile --force --all-warnings > warnings.log 2>&1\n\nOR\n\nalias Warnex\nWarnex.generate_warnings()\n\n\n```\n\nthis will generate `warnings.log` into your root folder, then you can now alias Warnex and use its functions","ref":"readme.html#usage"},{"type":"extras","title":"Features - Warnex","doc":"- Track application warnings\n- Manage warning states\n- Integrate with Phoenix applications","ref":"readme.html#features"},{"type":"extras","title":"Documentation - Warnex","doc":"Full documentation can be found at [https://hexdocs.pm/warnex](https://hexdocs.pm/warnex).","ref":"readme.html#documentation"},{"type":"extras","title":"License - Warnex","doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}